Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Service_Type Class Reference

Keeps track of information related to the various subclasses. More...

`#include <Service_Object.h>`

Collaboration diagram for ACE_Service_Type:

[legend]
List of all members.

## Public Types
enum | { DELETE_OBJ = 1, DELETE_THIS = 2 }
## Public Methods
| ACE_Service_Type (const ACE_TCHAR *n, ACE_Service_Type_Impl *o, const ACE_SHLIB_HANDLE handle, int active)
| ~ACE_Service_Type (void)
const ACE_TCHAR* | name (void) const
void | name (const ACE_TCHAR *)
const ACE_Service_Type_Impl* | type (void) const
void | type (const ACE_Service_Type_Impl *, int active = 1)
ACE_SHLIB_HANDLE | handle (void) const
void | handle (const ACE_SHLIB_HANDLE)
void | suspend (void) const
void | resume (void) const
int | active (void) const
void | active (int)
void | fini (void)
| Calls <fini> on <type_>.
int | fini_called (void) const
| Check if the service has been fini'ed.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
const ACE_TCHAR* | name_
| Humanly readible name of svc.
const ACE_Service_Type_Impl* | type_
| Pointer to C++ object that implements the svc.
ACE_SHLIB_HANDLE | handle_
| Handle to shared object file (non-zero if dynamically linked).
int | active_
| 1 if svc is currently active, otherwise 0.
int | fini_already_called_
| 1 if <fini> on <type_> has already been called, otherwise 0.

## Detailed Description

Keeps track of information related to the various subclasses.

This class acts as the interface of the "Bridge" pattern.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  DELETE_OBJ | Delete the payload object.
  DELETE_THIS | Delete the enclosing object.

## Constructor & Destructor Documentation

ACE_Service_Type::ACE_Service_Type ( | const ACE_TCHAR * n,
| ACE_Service_Type_Impl * t,
| const ACE_SHLIB_HANDLE h,
| int active )

ACE_Service_Type::~ACE_Service_Type ( | void )

## Member Function Documentation

ACE_INLINE void ACE_Service_Type::active ( | int turnon )

ACE_INLINE int ACE_Service_Type::active ( | void ) const

void ACE_Service_Type::dump ( | void ) const

| Dump the state of an object.

void ACE_Service_Type::fini ( | void )

| Calls <fini> on <type_>.

ACE_INLINE int ACE_Service_Type::fini_called ( | void ) const

| Check if the service has been fini'ed.

ACE_INLINE void ACE_Service_Type::handle ( | const h )

ACE_INLINE ACE_SHLIB_HANDLE ACE_Service_Type::handle ( | void ) const

ACE_INLINE void ACE_Service_Type::name ( | const ACE_TCHAR * n )

ACE_INLINE const ACE_TCHAR * ACE_Service_Type::name ( | void ) const

void ACE_Service_Type::resume ( | void ) const

void ACE_Service_Type::suspend ( | void ) const

ACE_INLINE void ACE_Service_Type::type ( | const ACE_Service_Type_Impl * o,
| int enabled = 1 )

ACE_INLINE const ACE_Service_Type_Impl * ACE_Service_Type::type ( | void ) const

## Member Data Documentation

ACE_Service_Type::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

int ACE_Service_Type::active_`[private]`

| 1 if svc is currently active, otherwise 0.

int ACE_Service_Type::fini_already_called_`[private]`

| 1 if <fini> on <type_> has already been called, otherwise 0.

ACE_SHLIB_HANDLE ACE_Service_Type::handle_`[private]`

| Handle to shared object file (non-zero if dynamically linked).

const ACE_TCHAR * ACE_Service_Type::name_`[private]`

| Humanly readible name of svc.

const ACE_Service_Type_Impl * ACE_Service_Type::type_`[private]`

| Pointer to C++ object that implements the svc.

The documentation for this class was generated from the following files:

- Service_Object.h
- Service_Object.cpp
- Service_Object.i